Allow running Tempest using any microversion

Registered by zhufl

If we run Tempest with min_microversion higher than the base one, some testcases will fail, so we should fix the microversion gaps (may in response schema or in testcases)in order to support running Tempest with any min_microversion and any max_microversion.

Blueprint information

Status:
Not started
Approver:
None
Priority:
Undefined
Drafter:
zhufl
Direction:
Needs approval
Assignee:
None
Definition:
New
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

Gerrit topic: https://review.opendev.org/#/q/topic:bp/fix-microversion-gap

Addressed by: https://review.opendev.org/750269
    Add volume services schema for microversion 3.7

Addressed by: https://review.opendev.org/750554
    Add missing replication_status in group schema

Gerrit topic: https://review.opendev.org/#/q/topic:interface_tag

Addressed by: https://review.opendev.org/762967
    Add tag in compute interfaces schema for microversion 2.70

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.